# ImportWizardPagePreview (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Class ImportWizardPagePreview

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.deidentifier.arx.gui.view.impl.wizard.ImportWizardPagePreview

- All Implemented Interfaces:
    org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

      public class ImportWizardPagePreview
      extends org.eclipse.jface.wizard.WizardPage

  Preview page This page gives the user a preview over the data and how it is about to be imported. Only enabled columns will be displayed `ImportWizardModelColumn.isEnabled()`. The datatype of each column will be shown additionally as a tooltip.

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

      `ERROR, INFORMATION, NONE, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportWizardPagePreview(ImportWizard wizardImport)` Creates a new instance of this page and sets its title and description.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createControl(org.eclipse.swt.widgets.Composite parent)` Creates the design of this page The page is set to incomplete at this point and will be marked as complete, once the appropriate table has been rendered.
    `void` | `setVisible(boolean visible)` Adds input to table once page gets visible to the user This retrieves the preview data `ImportWizardModel.getPreviewData()` and applies it to the given `tableViewer`.

    - ### Methods inherited from class org.eclipse.jface.wizard.WizardPage

      `canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

    - ### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

      `convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

      `dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

- - ### Constructor Detail

    - #### ImportWizardPagePreview

          public ImportWizardPagePreview(ImportWizard wizardImport)

      Creates a new instance of this page and sets its title and description.
      Parameters:
        `wizardImport` - Reference to wizard containing this page

  - ### Method Detail

    - #### createControl

          public void createControl(org.eclipse.swt.widgets.Composite parent)

      Creates the design of this page The page is set to incomplete at this point and will be marked as complete, once the appropriate table has been rendered. Refer to `setVisible(boolean)` for details.
      Parameters:
        `parent` -

    - #### setVisible

          public void setVisible(boolean visible)

      Adds input to table once page gets visible to the user This retrieves the preview data `ImportWizardModel.getPreviewData()` and applies it to the given `tableViewer`. Only columns that have been enabled will be shown. New names and reordering is also considered.
      Specified by:
        `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
      Overrides:
        `setVisible` in class `org.eclipse.jface.dialogs.DialogPage`
      Parameters:
        `visible` -